
Redmine - Feature #39948

Add Redmine::Plugin proxy method for

Redmine::Acts::Attachable::ObjectTypeConstraint.register_object_type

2023-12-27 07:54 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 5.0.8   

Resolution: Fixed   

Description

Following #39862 I wonder: wouldn't it be neater to add a dedicated proxy method to Redmine::Plugin (something like

Redmine::Plugin#attachment_object_type) for Redmine::Acts::Attachable::ObjectTypeConstraint.register_object_type?

This way plugin authors don't have to reach into Redmine core internals when implementing AAA for their own plugin models

themselves. How do other people think about this?

Related issues:

Follows Redmine - Defect #39862: Attachments functionality for (custom) plugi... Closed

Associated revisions

Revision 22747 - 2024-02-27 08:06 - Marius BĂLTEANU

Introduces Redmine::Plugin#attachment_object_type to provide better API for registering plugin models having attachments (#39948, #39862).

Patch by Jens Krämer (@jkraemer).

Revision 22750 - 2024-02-27 08:22 - Marius BĂLTEANU

Merged r22747 from trunk to 5.1-stable (#39948).

Revision 22751 - 2024-02-27 08:23 - Marius BĂLTEANU

Merged r22747 from trunk to 5.0-stable (#39948).

History

#1 - 2023-12-27 07:55 - Mischa The Evil

- Follows Defect #39862: Attachments functionality for (custom) plugins broken since fix for CVE-2022-44030 added

#2 - 2023-12-27 08:07 - Mischa The Evil

Jens Krämer: what do you think about this?

#3 - 2024-01-24 09:24 - Jens Krämer

- File 0001-introduces-Redmine-Plugin-attachment_object_type-399.patch added

Good point, maybe like this?

#4 - 2024-02-27 08:07 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Target version set to 5.0.8

- Resolution set to Fixed

Committed, thanks!

#5 - 2024-02-27 21:08 - Marius BĂLTEANU

- Status changed from Resolved to Closed

2025-05-01 1/2

https://www.redmine.org/issues/39862
https://www.redmine.org/users/40856


Files

0001-introduces-Redmine-Plugin-attachment_object_type-399.patch 2.07 KB 2024-01-24 Jens Krämer

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

